# Deprecated API

## Contents

- Interfaces
- Classes
- Constructors

Deprecated Interfaces
Interface
Description
org.apache.sling.servlethelpers.MockRequestDispatcherFactory
Use `MockJakartaRequestDispatcherFactory` instead.

Deprecated Classes
Class
Description
org.apache.sling.servlethelpers.internalrequests.InternalRequest
Use `JakartaInternalRequest` instead.
org.apache.sling.servlethelpers.internalrequests.ServletInternalRequest
Use `JakartaServletInternalRequest` instead.
org.apache.sling.servlethelpers.internalrequests.SlingInternalRequest
Use `JakartaInternalRequest` instead.
org.apache.sling.servlethelpers.MockHttpSession
Use `MockJakartaHttpSession` instead.
org.apache.sling.servlethelpers.MockServletContext
Use `MockJakartaServletContext` instead.
org.apache.sling.servlethelpers.MockSlingHttpServletRequest
Use `MockSlingJakartaHttpServletRequest` instead.
org.apache.sling.servlethelpers.MockSlingHttpServletResponse
Use `MockSlingJakartaHttpServletResponse` instead.

Deprecated Constructors
Constructor
Description
org.apache.sling.servlethelpers.MockRequestPathInfo()
Use @link `MockRequestPathInfo(ResourceResolver)` instead.